rust-reqwest-0.11 (0.11.27-9) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.6
  * Deal with some more test issues, that don't seem to be affecting
    autopkgtests right now, but were affecting my manual testing.
  * Add patch for rustls-pemfile 2
  * Add patches for rustls-native-certs 0.8 but don't enable them yet.
    since Jonas wants to hanled the rustls-native-certs update seperately.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 24 Feb 2025 03:23:16 +0000

rust-reqwest-0.11 (0.11.27-8) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.6
  * Disable http3/quinn, to make way for updates of those crates.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 21 Feb 2025 02:51:15 +0000

rust-reqwest-0.11 (0.11.27-7) unstable; urgency=medium

  * Split out reqwest-0.11 to ease transition
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.6

 -- Blair Noctis <ncts@debian.org>  Fri, 17 Jan 2025 18:03:38 +0000

rust-reqwest (0.11.27-6) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.5
  * Bump env_logger dev-dependency to v0.11

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 31 Dec 2024 15:00:49 +0100

rust-reqwest (0.11.27-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.0
  * Skip test response_timeout on s390x, it seems flaky there.
  * Skip testing most feature configurations on riscv64 due to timeouts.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 01:29:18 +0000

rust-reqwest (0.11.27-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.7.0
  * Relax dependency on base64.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 05 Oct 2024 09:04:57 +0000

rust-reqwest (0.11.27-3) unstable; urgency=medium

  * Cherry-pick another test fix to take the Ubuntu CI proxy into account
    (LP: #2071789)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 10 Jul 2024 14:52:23 +0200

rust-reqwest (0.11.27-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick a test fix to take the Ubuntu CI proxy into account
    (LP: #2071789)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 04 Jul 2024 11:40:47 +0200

rust-reqwest (0.11.27-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.27 from crates.io using debcargo 2.6.1
  * Update dep on brotli to 6
  * Refresh patches

 -- Blair Noctis <n@sail.ng>  Mon, 17 Jun 2024 21:18:23 +0200

rust-reqwest (0.11.24-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1
  * Relax dependency on h2.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 13 Apr 2024 11:18:02 +0000

rust-reqwest (0.11.24-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 12 Apr 2024 09:20:36 -0400

rust-reqwest (0.11.24-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.24 from crates.io using debcargo 2.6.1
  * Update patches for new upstream and current situation in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 08 Feb 2024 04:04:10 +0000

rust-reqwest (0.11.23-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.23 from crates.io using debcargo 2.6.1
  * Reenable http3 and brotli as those dependencies are now in Debian.

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Wed, 07 Feb 2024 06:43:12 -0500

rust-reqwest (0.11.22-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.1
  * Skip flaky tests test_empty_sys_no_proxy, test_get_sys_proxies_in_cgi and
    test_sys_no_proxy on all architectures rather than just arm*.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 05 Dec 2023 15:52:19 +0000

rust-reqwest (0.11.22-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Stop overriding control files (Closes: #1050409, #1055671)
  * Disable a number of tests which have proven flaky on debci.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 19 Nov 2023 19:15:01 +0000

rust-reqwest (0.11.22-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Add provides line for librust-reqwest-0.11+socks-dev

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Fri, 10 Nov 2023 10:27:07 +0100

rust-reqwest (0.11.22-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Fix truncated line in debian/tests/control.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Oct 2023 05:54:02 +0000

rust-reqwest (0.11.22-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.22 from crates.io using debcargo 2.6.0
  * Remove bogus trust-dns-resolver build-dependency.
  * Limit trust-dns, depends, provides and autopkgtests to architectures
    where ring is available.
  * Update patches for new upstream.
  * Rearrange patches for eaasier testing.
  * Remove macos-specific dependency newly added by upstream and not available in Debian.
  * Revert upstream switch to trust-dns 0.23.
  * Re-enable socks feature (Closes: #1024373).

 -- Peter Michael Green <plugwash@debian.org>  Sat, 14 Oct 2023 05:30:39 +0000

rust-reqwest (0.11.18-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.18 from crates.io using debcargo 2.6.0
  * Reenable trust-dns-resolver
  * Reenable async-compression
  * Bump env-logger from 0.9 to 0.10

 -- Alexander Kjäll <alexander.kjall@gmail.com>  Sat, 16 Sep 2023 21:39:48 +0200

rust-reqwest (0.11.18-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.18 from crates.io using debcargo 2.6.0
  * Update patches for new upstream.
  * Update overridden debian/tests/control for new upstream.
  * Disable newly added http3 feature, as it's dependencies are not
    available in Debian.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 19 Aug 2023 12:15:03 +0000

rust-reqwest (0.11.14-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Bump cookie_store dependency to 0.19

 -- Peter Michael Green <plugwash@debian.org>  Fri, 28 Jul 2023 02:01:21 +0000

rust-reqwest (0.11.14-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Add breaks on old version of librust-oauth2-dev to help britney's
    autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Jun 2023 20:09:51 +0000

rust-reqwest (0.11.14-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0
  * Bump dependency on rustls-pemfile to help britney's autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 22 Jun 2023 15:40:11 +0000

rust-reqwest (0.11.14-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.14 from crates.io using debcargo 2.6.0 (Closes: #1037418)

 -- Fabian Grünbichler <f.gruenbichler@proxmox.com>  Thu, 15 Jun 2023 01:09:09 +0000

rust-reqwest (0.11.13-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.13 from crates.io using debcargo 2.6.0
    + Reqwest 0.11.14 has a dependency on a new version of base64, which is
      not easy to revert.
  * Update overridden debian/control and debian/tests/control files.
  * Disable a number of tests that require internet (Closes: #1030537).

 -- Peter Michael Green <plugwash@debian.org>  Sat, 04 Feb 2023 22:56:06 +0000

rust-reqwest (0.11.11-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.11 from crates.io using debcargo 2.5.0
  * Re-enable proper rustls support (on architectures were rustls is available)
    now that hyper-rustls and tokio-rustls are packaged. (Closes: #1013869)
  * Don't include provides or autopkgtests for internal features, limit them
    to advertised features.
  * Add README.Debian documenting the feature situation
  * Disable connect_timeout test on s390x, it always seems to fail there.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 07 Jul 2022 22:21:25 +0000

rust-reqwest (0.11.11-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.11 from crates.io using debcargo 2.5.0
  * Disable a test that sometimes fails on CI, I think it may have a race
    condition
  * Add architecture restrictions to "all features" autopkgtest.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 26 Jun 2022 21:37:11 +0000

rust-reqwest (0.11.11-1) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.11.11 from crates.io using debcargo 2.5.0 (Closes: 984864)
  * Drop old patches, no longer relavent.
  * Switch rustl-tls feature to use native-certs instead of webpki-roots.
    (it's disabled right now anway, but if it's re-enabled then native-certs
    seems more appropriate for Debian than webpki-roots).
  * Disable features/optional dependencies that are not satisfiable in Debian.
  * Adjust dev-dependency versions to what is available in Debian.
  * Remove wasm and windows-specific dependencies.
  * Fix a test that fails with a file not found error in the autopkgtest
    environment.
  * Mark tests for the internal "__tls" feature as broken.
  * Set collapse_features = true
  * Limit architectures for rustls related dependencies, provides and
    autopkgtests to architectures where rustls is available.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 26 Jun 2022 01:35:26 +0000

rust-reqwest (0.9.19-5) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.9.19 from crates.io using debcargo 2.4.4-alpha.0
  * Update the base64 dependencies to unbreak this package
    and spotify-tui (Closes: #992767

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Aug 2021 11:53:46 +0200

rust-reqwest (0.9.19-4) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.9.19 from crates.io using debcargo 2.4.3
  * Bump base64 dep to 0.12

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Oct 2020 22:02:24 +0200

rust-reqwest (0.9.19-3) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.9.19 from crates.io using debcargo 2.4.0

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Dec 2019 05:56:07 +0000

rust-reqwest (0.9.19-2) unstable; urgency=medium

  * Team upload.
  * Package reqwest 0.9.19 from crates.io using debcargo 2.4.0
  * No need to exclude or clean Cargo.lock with dh-cargo >= 20.

 -- Ximin Luo <infinity0@debian.org>  Tue, 24 Dec 2019 17:53:08 +0000

rust-reqwest (0.9.19-1) unstable; urgency=medium

  * Package reqwest 0.9.19 from crates.io using debcargo 2.2.10

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 13 Aug 2019 15:20:02 +0200
